# Uses of Class
org.codehaus.janino.Java.Lvalue

Packages that use Java.Lvalue
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.Lvalue in org.codehaus.janino

Subclasses of Java.Lvalue in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.AmbiguousName`
Representation of a JLS7 6.5.2 "ambiguous name".
`static final class`
`Java.ArrayAccessExpression`
Representation of a JLS7 15.13 (JLS8: 15.10.3) "array access expression".
`static final class`
`Java.FieldAccess`
Representation of an access to a field of a class or an interface.
`static final class`
`Java.FieldAccessExpression`
Representation of a JLS7 15.11 "field access expression", including the "array length" pseudo field access.
`static final class`
`Java.LocalVariableAccess`
Representation of a local variable access -- used during compilation.
`static final class`
`Java.ParenthesizedExpression`
Representation of a JLS7 15.8.5 "parenthesized expression".
`static final class`
`Java.SuperclassFieldAccessExpression`
Representation of an JLS7 "superclass field access expression", e.g.
Fields in org.codehaus.janino declared as Java.Lvalue
Modifier and Type
Field
Description
`final Java.Lvalue`
Java.Assignment.`lhs`
The lvalue to assign to.
`final Java.Lvalue`
Java.Crement.`operand`
The lvalue to operate upon.
Methods in org.codehaus.janino that return Java.Lvalue
Modifier and Type
Method
Description
`Java.Lvalue`
Java.AmbiguousName.`toLvalue()`
`Java.Lvalue`
Java.Atom.`toLvalue()`
`Java.Lvalue`
Java.Lvalue.`toLvalue()`
`final Java.Lvalue`
Java.Atom.`toLvalueOrCompileException()`
Methods in org.codehaus.janino with parameters of type Java.Lvalue
Modifier and Type
Method
Description
`void`
Unparser.`unparseLvalue(Java.Lvalue lv)`
`R`
Visitor.RvalueVisitor.`visitLvalue(Java.Lvalue lv)`
Invoked by `accept(Visitor.RvalueVisitor)`
Constructors in org.codehaus.janino with parameters of type Java.Lvalue
Modifier
Constructor
Description
``
`Assignment(Location location, Java.Lvalue lhs, String operator, Java.Rvalue rhs)`
``
`Crement(Location location, String operator, Java.Lvalue operand)`
``
`Crement(Location location, Java.Lvalue operand, String operator)`

## Uses of Java.Lvalue in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.Lvalue
Modifier and Type
Method
Description
`Java.Lvalue`
DeepCopier.`copyAmbiguousName(Java.AmbiguousName subject)`
`Java.Lvalue`
DeepCopier.`copyArrayAccessExpression(Java.ArrayAccessExpression subject)`
`Java.Lvalue`
DeepCopier.`copyFieldAccess(Java.FieldAccess subject)`
`Java.Lvalue`
DeepCopier.`copyFieldAccessExpression(Java.FieldAccessExpression subject)`
`Java.Lvalue`
DeepCopier.`copyLocalVariableAccess(Java.LocalVariableAccess subject)`
`Java.Lvalue`
DeepCopier.`copyLvalue(Java.Lvalue subject)`
`Java.Lvalue`
DeepCopier.`copyParenthesizedExpression(Java.ParenthesizedExpression subject)`
`Java.Lvalue`
DeepCopier.`copySuperclassFieldAccessExpression(Java.SuperclassFieldAccessExpression subject)`
Methods in org.codehaus.janino.util with parameters of type Java.Lvalue
Modifier and Type
Method
Description
`Java.Lvalue`
DeepCopier.`copyLvalue(Java.Lvalue subject)`
`void`
AbstractTraverser.`traverseLvalue(Java.Lvalue lv)`
`void`
Traverser.`traverseLvalue(Java.Lvalue lv)`